
sub cleanBlock()
  for i as integer = 0 to lineCount - 1
    line(i) = cleanCode(line(i))
  next i
end sub


function cleanCode(code as string) as string
  // First we're going to split the line of code
  // into chunks based on quoted text.
  
  dim chunks() as string = code.split(chr(34))
  
  for i as integer = 0 to chunks.ubound
    if i = 0 or (i / 2 = i \ 2) then
      // Is not quoted
      chunks(i) = join(cleanGroup(chunks(i).split(" ")), " ")
    else
      // Is quoted, so we do nothing.
    end if
  next i
  
  return join(chunks, chr(34))
end function


function cleanGroup(words() as string) as string()
  for j as integer = 0 to words.ubound
    
    if words(j).inStr("'") > 0 or words(j).inStr("//") > 0 then exit
    
    if strComp(words(j), words(j).uppercase, 0) = 0 then
      // Is all caps.
      words(j) = words(j).lowercase
    else
      // Is not all caps.
      
      if words(j).inStr(".") > 0 then
        words(j) = join(cleanGroup(words(j).split(".")), ".")
        
      elseif words(j).inStr("(") > 0 then
        words(j) = join(cleanGroup(words(j).split("(")), "(")
        
      else
        words(j) = lowercase(words(j).left(1)) + words(j).mid(2)
      end if
    end if
    
  next j
  
  return words
end function
